%global libsuffix yui
%global libname lib%{libsuffix}
%global devel_min_ver 3.0.4
%global major_so_ver 5

Name:		%{libname}-ncurses
Version:	2.44.1
Release:	1%{?dist}
Summary:	Character Based User Interface for %{libname}

License:	LGPLv2 or LGPLv3
URL:		https://github.com/%{libname}/%{name}
Source0:	%{url}/archive/%{name}/master/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen-latex
BuildRequires:	fdupes
BuildRequires:	graphviz
BuildRequires:	%{libname}-devel >= %{devel_min_ver}
BuildRequires:	ncurses-devel

Provides:	%{libsuffix}-ui%{?_isa} = %{major_so_ver}


%description
This package contains the character based (ncurses) user interface
component for %{libname}.


%package devel
Summary:	Files needed for developing with %{name}

Requires:	%{libname}-devel%{?_isa} >= %{devel_min_ver}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	%{name}-devel-common = %{version}-%{release}
Requires:	ncurses-devel%{?_isa}

%description devel
%{libname} can be used independently of YaST for generic (C++) applications
and has very few dependencies.

You do NOT need this package for developing with %{libname}. Use of
%{libname}-devel is sufficient for such purpose.
This package is only needed when you want to develop an extension for
%{name} which is not covered within the UI-plugin.


%package devel-common
Summary:	Common files needed for developing with %{name}

BuildArch:	noarch
Requires:	%{name}-devel = %{version}-%{release}

%description devel-common
%{summary}, e.g. headers and CMake-macros.


%package doc
Summary:	Documentation files for %{name}
BuildArch:	noarch

%description doc
This package includes the developer's documentation as HTML for %{name}.


%prep
%setup -q -n %{name}-%{name}-master-%{version}
./bootstrap.sh


%build
mkdir -p build
pushd build
%cmake .. \
	-DPREFIX=%{_prefix} \
	-DLIB_DIR=%{_libdir} \
	-DCMAKE_BUILD_TYPE=RELEASE \
	-DRESPECT_FLAGS=ON

make %{?_smp_mflags}
make %{?_smp_mflags} docs


%install
pushd build
%make_install

# remove preinstalled stuff in docdir
# get's picked-up by -doc-pkg later
rm -rf %{buildroot}%{_defaultdocdir} ../examples/CMake*

# prep docs
mv ./doc/html ..
mv ./doc/latex/refman.pdf ..
rm -rf ../html/*.m*
%fdupes ../html


%files
%doc COPYING*
%{_libdir}/%{libsuffix}/%{name}.so.%{major_so_ver}*

%files devel
%{_libdir}/%{libsuffix}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake

%files devel-common
%{_includedir}/%{libsuffix}/*
%{_datadir}/%{libname}/*

%files doc
%doc COPYING* ChangeLog *.pdf html/


%changelog
* Fri Aug 30 2013 Björn Esser <bjoern.esser@gmail.com> - 2.44.1-1
- new upstream version
- restructured spec to match with libyui

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-3
- changed Provides: `yui_ui =` from `version` to `major_so_ver`
- install lib*.so.`major_so_ver`* in main-pkg not lib*.so.*
- add `-DRESPECT_FLAGS=ON`, will be honored by libyui <= 3.0.5
- removed macros from changelog

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-2
- -devel pkg should have Requires: ncurses-devel instead of
  Requires: ncurses

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.9-1
- new upstream version
- adjusted libyui-devel min-version
- added needed bootstrap to prep

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.8-2
- fixup as suggested in https://bugzilla.redhat.com/show_bug.cgi?id=960199#c3
- exchanged {parname} with {libname}

* Mon May 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.8-1
- Initial RPM release.
